Subject: Re: [RFC/PATCH] add update to branch support for "floating submodules"

From: Jens Lehmann <[email-masked]>
Date: Wed, 01 Feb 2012 23:37:43 +0100

Am 31.01.2012 23:50, schrieb Phil Hord:
> What I mean is that a developer may be completely focused on one
> particular submodule (his domain).  He does his work in this module,
> and when it's ready he commits and pushes to the server.  'git status'
> shows him that his directory is clean.  But this is only because he
> doesn't really know where the submodules top-directories are, so he
> doesn't realize that he has changes in another submodule that he has
> not committed.  He has to know to run 'git status' from somewhere in
> the superproject (ostensibly in the root directory of that
> superproject).  But he may forget since 'git status' already assured
> him he was done.
<snip>
> I guess what would help here is something like the opposite of 'git
> status' showing the status of descendant submodules;  it would help if
> it showed the status of sibling submodules and the superproject as
> well.

Hmm, I really think the fact that submodules are unaware that they
are part of a superproject is a feature. I'd prefer seeing that kind
of problem being tackled by the CI server and/or user education. Or
maybe a pre-commit hook which issues a warning in that case?